# MatICCFactorSymbolic

Performs symbolic incomplete Cholesky factorization for a symmetric matrix. Use MatCholeskyFactorNumeric() to complete the factorization.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatICCFactorSymbolic(Mat mat,IS perm,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| perm | - row and column permutation
| info | - structure containing

         levels - number of levels of fill.

         expected fill - as ratio of original fill.

### Output Parameter

fact -the factored matrix

### Notes

Most users should employ the KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatCholeskyFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages